var search_data = {"index":{"searchIndex":["mdtransformer","error","headertoodeep","invalidmarkdownpath","markdown","section","<=>()","[]()","[]=()","code_locations()","content=()","create_section_from_header()","dig()","each()","generate_sections()","header_level()","header_locations()","key?()","keys()","level()","markdown()","markdown_file()","md()","md_file()","new()","new()","parse!()","parse_children!()","root?()","to_s()","translate()","validate_levels()","value?()","values()","write()"],"longSearchIndex":["mdtransformer","mdtransformer::error","mdtransformer::headertoodeep","mdtransformer::invalidmarkdownpath","mdtransformer::markdown","mdtransformer::markdown::section","mdtransformer::markdown#<=>()","mdtransformer::markdown#[]()","mdtransformer::markdown#[]=()","mdtransformer::markdown::section::code_locations()","mdtransformer::markdown#content=()","mdtransformer::markdown::section::create_section_from_header()","mdtransformer::markdown#dig()","mdtransformer::markdown#each()","mdtransformer::markdown::section::generate_sections()","mdtransformer::markdown::section::header_level()","mdtransformer::markdown::section::header_locations()","mdtransformer::markdown#key?()","mdtransformer::markdown#keys()","mdtransformer::markdown#level()","mdtransformer::markdown()","mdtransformer::markdown_file()","mdtransformer::md()","mdtransformer::md_file()","mdtransformer::markdown::new()","mdtransformer::markdown::section::new()","mdtransformer::markdown#parse!()","mdtransformer::markdown#parse_children!()","mdtransformer::markdown#root?()","mdtransformer::markdown#to_s()","mdtransformer::markdown#translate()","mdtransformer::markdown#validate_levels()","mdtransformer::markdown#value?()","mdtransformer::markdown#values()","mdtransformer::markdown#write()"],"info":[["MdTransformer","","MdTransformer.html","","<p>Module containing classes relating to parsing and using Markdown content similarly to a hash\n"],["MdTransformer::Error","","MdTransformer/Error.html","","<p>Base error class for MdTransformer\n"],["MdTransformer::HeaderTooDeep","","MdTransformer/HeaderTooDeep.html","","<p>Error indicating that a parsed header will exceed the maximum level (over h6)\n"],["MdTransformer::InvalidMarkdownPath","","MdTransformer/InvalidMarkdownPath.html","","<p>Error indicating that a passed markdown path cannot be found or read\n"],["MdTransformer::Markdown","","MdTransformer/Markdown.html","","<p>Class representing a parsed markdown file\n"],["MdTransformer::Markdown::Section","","MdTransformer/Markdown/Section.html","","<p>Class representing a section of a markdown file (header with content)\n"],["<=>","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-3C-3D-3E","(other)","<p>Compares Markdown objects with other objects through string conversion @param other [Object] object to …\n"],["[]","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-5B-5D","(key)","<p>Retrieves the child object at a given key if it exists @param key [String] the key of the child object …\n"],["[]=","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-5B-5D-3D","(key, value)","<p>Sets the value of the child object at a given key. If the key does not exist, a new child object is created. …\n"],["code_locations","MdTransformer::Markdown::Section","MdTransformer/Markdown/Section.html#method-c-code_locations","(content)","<p>Gathers code block locations for given content @param content [String] the markdown content to parse …\n"],["content=","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-content-3D","(value)","<p>Updates the current object&#39;s Markdown content @param value [String] the new content @return [String] …\n"],["create_section_from_header","MdTransformer::Markdown::Section","MdTransformer/Markdown/Section.html#method-c-create_section_from_header","(header, content)","<p>Creates a new Section object from a header hash @param header [Hash] hash containing :header and :content …\n"],["dig","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-dig","(key, *rest)","<p>Digs through the hash for the child object at the given nested key(s) @param key [String] the first key …\n"],["each","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-each","()","<p>For a block { |k, v| … } @yield [k, v] Gives the key and value of the object\n"],["generate_sections","MdTransformer::Markdown::Section","MdTransformer/Markdown/Section.html#method-c-generate_sections","(content)","<p>Generates an array of Section objects from string Markdown content @param content [String] the markdown …\n"],["header_level","MdTransformer::Markdown::Section","MdTransformer/Markdown/Section.html#method-c-header_level","(header)","<p>Determines the precedence level of a header @param header [String] the header string to parse @return …\n"],["header_locations","MdTransformer::Markdown::Section","MdTransformer/Markdown/Section.html#method-c-header_locations","(content)","<p>Gathers header locations for given content @param content [String] the markdown content to parse @return …\n"],["key?","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-key-3F","(key)","<p>Checks for whether a child object has a given key @param key [String] the key of the child object @return …\n"],["keys","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-keys","()","<p>Gets all child object keys @return [Array] the array of child keys\n"],["level","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-level","()","<p>Calculates the current nesting level of the Markdown object @return [Integer] the nesting level of the …\n"],["markdown","MdTransformer","MdTransformer.html#method-c-markdown","(content)","<p>Creates a new Markdown object from given content @param content [String] the markdown content @return …\n"],["markdown_file","MdTransformer","MdTransformer.html#method-c-markdown_file","(path)","<p>Creates a new Markdown object from a file @param path [String] path to the markdown file to open @return …\n"],["md","MdTransformer","MdTransformer.html#method-c-md","(content)",""],["md_file","MdTransformer","MdTransformer.html#method-c-md_file","(path)",""],["new","MdTransformer::Markdown","MdTransformer/Markdown.html#method-c-new","(source = '', options = {})","<p>Creates a new Markdown object @param source [String] the markdown content or path to a markdown file …\n"],["new","MdTransformer::Markdown::Section","MdTransformer/Markdown/Section.html#method-c-new","(title, options = {})","<p>Creates the Section object @param title [String] the title of the section @param options [Hash] the options …\n"],["parse!","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-parse-21","(content)","<p>Parses the provided markdown string content into a the current object&#39;s content and children @param …\n"],["parse_children!","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-parse_children-21","(sections)","<p>Parses all available sections into direct children of the current object @param sections [Array] the …\n"],["root?","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-root-3F","()","<p>Checks whether the current object is the root of the Markdown object @return [Boolean] whether the current …\n"],["to_s","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-to_s","(options = { title: true })","<p>Creates a string representing the markdown document&#39;s content from current content and all child …\n"],["translate","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-translate","(content)","<p>Translates content to markdown prior to parsing @param content [String] the string Markdown content to …\n"],["validate_levels","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-validate_levels","(child)","<p>Validates that all children have valid precedence levels and raises an exception if they are not @param …\n"],["value?","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-value-3F","(value)","<p>Checks for whether a child object has a given value @param value [String] the value to check for @return …\n"],["values","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-values","()","<p>Gets all child object values @return [Array] the array of child objects\n"],["write","MdTransformer::Markdown","MdTransformer/Markdown.html#method-i-write","(path, options: { create_dir: true })","<p>Writes the current markdown object to a file @param path [String] the path to the new file @param options …\n"]]}}